# $Revision: 1.14 $, $Date: 2011/08/31 06:58:18 $
Summary:	Helper library for the use with smart cards and the PKCS#11 API
Summary(pl.UTF-8):	Biblioteka pomocnicza do używania z kartami procesorowymi i API PKCS#11
Name:		pkcs11-helper
Version:	1.09
Release:	2
License:	GPL v2 or BSD
Group:		Libraries
Source0:	http://www.opensc-project.org/files/pkcs11-helper/%{name}-%{version}.tar.bz2
# Source0-md5:	88ca59143f1b1d36283cab406f33a3fa
URL:		http://www.opensc-project.org/
# for macros
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gnutls-devel >= 1.4
BuildRequires:	nss-devel >= 3.11
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	pkgconfig
Requires:	openssl >= 0.9.7a
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
pkcs11-helper provides a simple API to access PKCS#11 tokens.

%description -l pl.UTF-8
pkcs11-helper udostępnia proste API do dostępu do tokenów PKCS#11.

%package devel
Summary:	Header files for pkcs11-helper library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pkcs11-helper
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for pkcs11-helper library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pkcs11-helper.

%package static
Summary:	Static pkcs11-helper library
Summary(pl.UTF-8):	Statyczna biblioteka pkcs11-helper
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pkcs11-helper library.

%description static -l pl.UTF-8
Statyczna biblioteka pkcs11-helper.

%prep
%setup -q

%build
%configure \
	--enable-doc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING.BSD ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libpkcs11-helper.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpkcs11-helper.so.1
%{_mandir}/man8/pkcs11-helper-1.8*

%files devel
%defattr(644,root,root,755)
%doc doc/api/api.out/html/*
%attr(755,root,root) %{_libdir}/libpkcs11-helper.so
%{_libdir}/libpkcs11-helper.la
%{_includedir}/pkcs11-helper-1.0
%{_pkgconfigdir}/libpkcs11-helper-1.pc
%{_aclocaldir}/pkcs11-helper-1.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libpkcs11-helper.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pkcs11-helper.spec,v $
Revision 1.14  2011/08/31 06:58:18  arekm
- release 2

Revision 1.13  2011/08/20 19:46:16  qboosh
- updated to 1.09

Revision 1.12  2011/03/06 06:39:00  qboosh
- updated to 1.08

Revision 1.11  2010/05/22 21:37:13  sparky
- BR: automake (for _aclocaldir)
- don't require c++ compiler

Revision 1.10  2010/05/08 20:46:57  glen
- release 3

Revision 1.9  2010/04/11 06:28:39  arekm
- release 2

Revision 1.8  2009/03/04 21:56:11  arekm
- up to 1.07

Revision 1.7  2008/08/26 05:51:59  qboosh
- updated to 1.06 (gnutls and nss crypto engines included now)

Revision 1.6  2007/11/03 18:52:20  qboosh
- updated to 1.05

Revision 1.5  2007/06/14 20:31:53  qboosh
- updated to 1.03

Revision 1.4  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2007/01/18 11:27:06  qboosh
- Source0 path

Revision 1.1  2007/01/18 11:22:59  qboosh
- new
